Alokai

SapccApiGetComponentsByIdsRequest

Request parameters for getComponentsByIds operation in SapccApi. SapccApiGetComponentsByIdsRequest

interface SapccApiGetComponentsByIdsRequest {
	readonly baseSiteId: string;
	readonly catalogCode?: string;
	readonly categoryCode?: string;
	readonly componentIds?: Array<string>;
	readonly currentPage?: number;
	readonly fields?: GetComponentsByIdsFieldsEnum;
	readonly pageSize?: number;
	readonly productCode?: string;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetComponentsByIds
catalogCodeOptionalstringCatalog code {string} SapccApiGetComponentsByIds
categoryCodeOptionalstringCategory code {string} SapccApiGetComponentsByIds
componentIdsOptionalArray<string>List of Component identifiers {Array<string>} SapccApiGetComponentsByIds
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetComponentsByIds
fieldsOptionalGetComponentsByIdsFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetComponentsByIds
pageSizeOptionalnumberNumber of results returned per page. Default value: 10. {number} SapccApiGetComponentsByIds
productCodeOptionalstringProduct code {string} SapccApiGetComponentsByIds
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetComponentsByIds

Referenced Types

On this page